## GcalQuickAddPopover GcalQuickAddPopover |

## Functions

GtkWidget * | gcal_quick_add_popover_new ()
GDateTime * | gcal_quick_add_popover_get_date_start ()
void | gcal_quick_add_popover_set_date_start ()
GDateTime * | gcal_quick_add_popover_get_date_end ()
void | gcal_quick_add_popover_set_date_end ()

## Properties

GDateTime * | date-end | Read / Write
GDateTime * | date-start | Read / Write
GcalManager * | manager | Read / Write

## Signals

void | edit-event | Run Last

## Types and Values

#define | GCAL_TYPE_QUICK_ADD_POPOVER
| GcalQuickAddPopover

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkPopover
                            ╰── GcalQuickAddPopover

## Implemented Interfaces

GcalQuickAddPopover implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### gcal_quick_add_popover_new ()

    GtkWidget *
    gcal_quick_add_popover_new (void);

### gcal_quick_add_popover_get_date_start ()

    GDateTime *
    gcal_quick_add_popover_get_date_start (GcalQuickAddPopover *self);

Retrieves the start date of `self` .

#### Parameters

self | a GcalQuickAddPopover |

#### Returns

a GDateTime.

[transfer none]

### gcal_quick_add_popover_set_date_start ()

    void
    gcal_quick_add_popover_set_date_start (GcalQuickAddPopover *self,
                                           GDateTime *dt);

Sets the start date of the to-be-created event.

#### Parameters

self | a GcalQuickAddPopover |
dt | a GDateTime |

### gcal_quick_add_popover_get_date_end ()

    GDateTime *
    gcal_quick_add_popover_get_date_end (GcalQuickAddPopover *self);

Retrieves the end date of `self` .

#### Parameters

self | a GcalQuickAddPopover |

#### Returns

a GDateTime.

[transfer none]

### gcal_quick_add_popover_set_date_end ()

    void
    gcal_quick_add_popover_set_date_end (GcalQuickAddPopover *self,
                                         GDateTime *dt);

Sets the end date of the to-be-created event.

#### Parameters

self | a GcalQuickAddPopover |
dt | a GDateTime |

## Types and Values

### GCAL_TYPE_QUICK_ADD_POPOVER

    #define GCAL_TYPE_QUICK_ADD_POPOVER (gcal_quick_add_popover_get_type())

### GcalQuickAddPopover

    typedef struct _GcalQuickAddPopover GcalQuickAddPopover;

## Property Details

### The `“date-end”` property

      “date-end”                 GDateTime *

The end date of the new event.

Flags: Read / Write

### The `“date-start”` property

      “date-start”               GDateTime *

The start date of the new event.

Flags: Read / Write

### The `“manager”` property

      “manager”                  GcalManager *

The singleton manager of the application.

Flags: Read / Write

## Signal Details

### The `“edit-event”` signal

    void
    user_function (GcalQuickAddPopover *self,
                   GcalEvent           *event,
                   gpointer             user_data)

Emited when the user clicks 'Edit event' button.

#### Parameters

self | a GcalQuickAddPopover |
event | the new GcalEvent |
user_data | user data set when the signal handler was connected. |

Flags: Run Last